package colruyt.sonarpocsvcejb.service.bl;

import colruyt.sonarpocsvcejb.bo.MyBo;
import colruyt.sonarpocsvcejb.converter.MyConverter;
import colruyt.sonarpocsvcejb.entity.My;
import colruyt.sonarpocsvcejb.service.dl.MyDlService;

import javax.ejb.EJB;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import java.util.ArrayList;
import java.util.List;

/**
 * This is a dummy bean, please delete it. It only exists to allow a freshly
 * generated application to be deployed without any changes.
 */
@LocalBean
@Stateless
public class MyService {

	@EJB
	private MyDlService  myDlService;

    public List<MyBo> findAll(String language){
        List<MyBo> bos = new ArrayList<>();
        for(My my: myDlService.findAll()) {
            MyBo myBo = MyConverter.convertToBo(my);

            bos.add(myBo);
        }

        return bos;
    }

}
