package colruyt.sonarpocsvcejb.service.dl;

import colruyt.sonarpocsvcejb.util.Constants;
import colruyt.sonarpocsvcejb.entity.My;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

@Stateless
@LocalBean
@TransactionAttribute(TransactionAttributeType.MANDATORY)  //Transactions are NEVER to be managed in DL layer
public class MyDlService {

    private static final long serialVersionUID = 1L;

    @PersistenceContext(unitName = Constants.EJB_PERSISTENCE_UNIT)
    EntityManager em;

    public List<My> findAll() {
        return em.createQuery("SELECT s FROM My s", My.class).getResultList();
    }
}
